Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90	(revision 4147)
@@ -151,5 +151,7 @@
       !!----------------------------------------------------------------------
       INTEGER ::   ji            ! dummy loop indices
-      INTEGER ::   ilocal_comm   ! local integer
+      INTEGER ::   ilocal_comm   ! local integer      
+      INTEGER ::   ios
+
       CHARACTER(len=80), DIMENSION(16) ::   cltxt
       !!
@@ -157,13 +159,31 @@
          &             nn_isplt, nn_jsplt, nn_jctls, nn_jctle,   &
          &             nn_bench, nn_timing
-      !!----------------------------------------------------------------------
-      !
-      cltxt = ''
-      !
-      !                             ! open Namelist file
-      CALL ctl_opn( numnam, 'namelist', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
-      !
-      READ( numnam, namctl )        ! Namelist namctl : Control prints & Benchmark
-      !
+      NAMELIST/namcfg/ cp_cfg, cp_cfz, jp_cfg, jpidta, jpjdta, jpkdta, jpiglo, jpjglo, &
+         &             jpizoom, jpjzoom, jperio
+      !!----------------------------------------------------------------------
+      !
+      cltxt = ''      !
+      !                             ! Open reference namelist and configuration namelist files
+      CALL ctl_opn( numnam_ref, 'namelist_ref', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
+      CALL ctl_opn( numnam_cfg, 'namelist_cfg', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
+      CALL ctl_opn( numond, 'output.namelist.dyn', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
+      !
+      REWIND( numnam_ref )              ! Namelist namctl in reference namelist : Control prints & Benchmark
+      READ  ( numnam_ref, namctl, IOSTAT = ios, ERR = 901 )
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namctl in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namctl in confguration namelist : Control prints & Benchmark
+      READ  ( numnam_cfg, namctl, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namctl in configuration namelist', lwp )
+      WRITE( numond, namctl )
+      !
+      REWIND( numnam_ref )              ! Namelist namcfg in reference namelist : Control prints & Benchmark
+      READ  ( numnam_ref, namcfg, IOSTAT = ios, ERR = 903 )
+903   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namcfg in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namcfg in confguration namelist : Control prints & Benchmark
+      READ  ( numnam_cfg, namcfg, IOSTAT = ios, ERR = 904 )
+904   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namcfg in configuration namelist', lwp )   
+      WRITE( numond, namcfg )
       !                             !--------------------------------------------!
       !                             !  set communicator & select the local node  !
@@ -173,8 +193,8 @@
          CALL  xios_initialize( "nemo",return_comm=ilocal_comm )
       ENDIF
-      narea = mynode( cltxt, numnam, nstop, ilocal_comm )   ! Nodes selection
+      narea = mynode ( cltxt, numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )  ! Nodes selection
 #else
       ilocal_comm = 0
-      narea = mynode( cltxt, numnam, nstop )                 ! Nodes selection (control print return in cltxt)
+      narea = mynode( cltxt, numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )        ! Nodes selection (control print return in cltxt)
 #endif
       narea = narea + 1                                     ! mynode return the rank of proc (0 --> jpnij -1 )
@@ -300,4 +320,22 @@
       jsplt     = nn_jsplt
       nbench    = nn_bench
+
+      IF(lwp) THEN                  ! control print
+         WRITE(numout,*)
+         WRITE(numout,*) 'namcfg  : configuration initialization through namelist read'
+         WRITE(numout,*) '~~~~~~~ '
+         WRITE(numout,*) '   Namelist namcfg'
+         WRITE(numout,*) '      configuration name              cp_cfg      = ', TRIM(cp_cfg)
+         WRITE(numout,*) '      configuration zoom name         cp_cfz      = ', TRIM(cp_cfz)
+         WRITE(numout,*) '      configuration resolution        jp_cfg      = ', jp_cfg
+         WRITE(numout,*) '      1st lateral dimension ( >= jpi ) jpidta     = ', jpidta
+         WRITE(numout,*) '      2nd    "         "    ( >= jpj ) jpjdta     = ', jpjdta
+         WRITE(numout,*) '      3nd    "         "               jpkdta     = ', jpkdta
+         WRITE(numout,*) '      1st dimension of global domain in i jpiglo  = ', jpiglo
+         WRITE(numout,*) '      2nd    -                  -    in j jpjglo  = ', jpjglo
+         WRITE(numout,*) '      left bottom i index of the zoom (in data domain) jpizoom = ', jpizoom
+         WRITE(numout,*) '      left bottom j index of the zoom (in data domain) jpizoom = ', jpjzoom
+         WRITE(numout,*) '      lateral cond. type (between 0 and 6) jperio = ', jperio   
+      ENDIF
       !                             ! Parameter control
       !
@@ -343,5 +381,5 @@
          CASE ( 'gyre' )   ;   CALL ctl_warn( ' The Benchmark is activated ' )
          CASE DEFAULT      ;   CALL ctl_stop( ' The Benchmark is based on the GYRE configuration:',   &
-            &                                 ' key_gyre must be used or set nbench = 0' )
+            &                                 ' cp_cfg="gyre" in namelist &namcfg or set nbench = 0' )
          END SELECT
       ENDIF
@@ -361,9 +399,13 @@
       CALL iom_close                                 ! close all input/output files managed by iom_*
       !
-      IF( numstp      /= -1 )   CLOSE( numstp      )   ! time-step file
-      IF( numnam      /= -1 )   CLOSE( numnam      )   ! oce namelist
-      IF( numnam_ice  /= -1 )   CLOSE( numnam_ice  )   ! ice namelist
-      IF( numevo_ice  /= -1 )   CLOSE( numevo_ice  )   ! ice variables (temp. evolution)
-      IF( numout      /=  6 )   CLOSE( numout      )   ! standard model output file
+      IF( numstp          /= -1 )   CLOSE( numstp      )   ! time-step file      
+      IF( numnam_ref      /= -1 )   CLOSE( numnam_ref      )   ! oce reference namelist
+      IF( numnam_cfg      /= -1 )   CLOSE( numnam_cfg      )   ! oce configuration namelist
+      IF( numond          /= -1 )   CLOSE( numond          )   ! oce output namelist
+      IF( numnam_ice_ref  /= -1 )   CLOSE( numnam_ice_ref  )   ! ice reference namelist
+      IF( numnam_ice_cfg  /= -1 )   CLOSE( numnam_ice_cfg  )   ! ice configuration namelist
+      IF( numoni          /= -1 )   CLOSE( numoni          )   ! ice output namelist
+      IF( numevo_ice      /= -1 )   CLOSE( numevo_ice  )   ! ice variables (temp. evolution)
+      IF( numout          /=  6 )   CLOSE( numout      )   ! standard model output file
       !
       numout = 6                                     ! redefine numout in case it is used after this point...
@@ -382,6 +424,7 @@
       USE diawri    , ONLY: dia_wri_alloc
       USE dom_oce   , ONLY: dom_oce_alloc
-      !
-      INTEGER :: ierr
+      USE oce       , ONLY : sshn, sshb, snwice_mass, snwice_mass_b, snwice_fmass 
+      !
+      INTEGER :: ierr,ierr4
       !!----------------------------------------------------------------------
       !
@@ -389,4 +432,7 @@
       ierr = ierr + dom_oce_alloc   ()          ! ocean domain
       ierr = ierr + lib_mpp_alloc   (numout)    ! mpp exchanges
+      ALLOCATE( snwice_mass(jpi,jpj)  , snwice_mass_b(jpi,jpj),             &
+         &      snwice_fmass(jpi,jpj), STAT= ierr4 )
+      ierr = ierr + ierr4
       !
       IF( lk_mpp    )   CALL mpp_sum( ierr )
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/SAS_SRC/sbcssm.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/SAS_SRC/sbcssm.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/SAS_SRC/sbcssm.F90	(revision 4147)
@@ -81,4 +81,6 @@
       
       !
+      IF (kt == nn_it000 ) CALL sbc_ssm_init()
+
       IF( nn_timing == 1 )  CALL timing_start( 'sbc_ssm')
 
@@ -100,4 +102,8 @@
       tsn(:,:,1,jp_tem) = sst_m(:,:)
       tsn(:,:,1,jp_sal) = sss_m(:,:)
+      IF ( nn_ice == 1 ) THEN
+         tsb(:,:,1,jp_tem) = sst_m(:,:)
+         tsb(:,:,1,jp_sal) = sss_m(:,:)
+      ENDIF
       ub (:,:,1       ) = ssu_m(:,:)
       vb (:,:,1       ) = ssv_m(:,:)
@@ -128,4 +134,5 @@
       INTEGER  :: ifpr                               ! dummy loop indice
       INTEGER  :: inum, idv, idimv, jpm              ! local integer
+      INTEGER  ::   ios                              ! Local integer output status for namelist read
       !!
       CHARACTER(len=100)                     ::  cn_dir       ! Root directory for location of core files
@@ -135,28 +142,22 @@
       TYPE(FLD_N) :: sn_usp, sn_vsp, sn_ssh
       !
-      NAMELIST/namsbc_ssm/cn_dir, ln_3d_uv, sn_tem, sn_sal, sn_usp, sn_vsp, sn_ssh
-
-      !!----------------------------------------------------------------------
-      !                                   ! ============
-      !                                   !   Namelist
-      !                                   ! ============
-      ! (NB: frequency positive => hours, negative => months)
-      !                !   file      ! frequency !  variable  ! time intep !  clim  ! 'yearly' or ! weights  ! rotation   !
-      !                !   name      !  (hours)  !   name     !   (T/F)    !  (T/F) !  'monthly'  ! filename ! pairs      !
-      sn_usp  = FLD_N( 'ssm_grid_U' ,    120    , 'vozocrtx' ,  .true.    , .true. ,   'yearly'  , ''       , ''         )
-      sn_vsp  = FLD_N( 'ssm_grid_V' ,    120    , 'vomecrty' ,  .true.    , .true. ,   'yearly'  , ''       , ''         )
-      sn_tem  = FLD_N( 'ssm_grid_T' ,    120    , 'sosstsst' ,  .true.    , .true. ,   'yearly'  , ''       , ''         )
-      sn_sal  = FLD_N( 'ssm_grid_T' ,    120    , 'sosaline' ,  .true.    , .true. ,   'yearly'  , ''       , ''         )
-      sn_ssh  = FLD_N( 'ssm_grid_T' ,    120    , 'sossheig' ,  .true.    , .true. ,   'yearly'  , ''       , ''         )
-      !
-      REWIND( numnam )                          ! read in namlist namsbc_ssm
-      READ  ( numnam, namsbc_ssm )
+      NAMELIST/namsbc_sas/cn_dir, ln_3d_uv, sn_tem, sn_sal, sn_usp, sn_vsp, sn_ssh
+      
+      REWIND( numnam_ref )              ! Namelist namsbc_sas in reference namelist : Input fields
+      READ  ( numnam_ref, namsbc_sas, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_sas in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namsbc_sas in configuration namelist : Input fields
+      READ  ( numnam_cfg, namsbc_sas, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_sas in configuration namelist', lwp )
+      WRITE ( numond, namsbc_sas )
+
       !                                         ! store namelist information in an array
       !                                         ! Control print
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'sbc_ssm : standalone surface scheme '
+         WRITE(numout,*) 'sbc_sas : standalone surface scheme '
          WRITE(numout,*) '~~~~~~~~~~~ '
-         WRITE(numout,*) '   Namelist namsbc_ssm'
+         WRITE(numout,*) '   Namelist namsbc_sas'
          WRITE(numout,*)
       ENDIF
@@ -273,9 +274,11 @@
       ! so allocate enough of arrays to use
       !
+      ierr3 = 0
       jpm = MAX(jp_tem, jp_sal)
       ALLOCATE( tsn(jpi,jpj,1,jpm), STAT=ierr0 )
       ALLOCATE( ub(jpi,jpj,1)     , STAT=ierr1 )
       ALLOCATE( vb(jpi,jpj,1)     , STAT=ierr2 )
-      ierr = ierr0 + ierr1 + ierr2
+      IF ( nn_ice == 1 ) ALLOCATE( tsb(jpi,jpj,1,jpm), STAT=ierr3 )
+      ierr = ierr0 + ierr1 + ierr2 + ierr3
       IF( ierr > 0 ) THEN
          CALL ctl_stop('sbc_ssm_init: unable to allocate surface arrays')
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90	(revision 4147)
@@ -42,5 +42,8 @@
       !! ** input   :   Namelist namelist_c14b
       !!----------------------------------------------------------------------
-      INTEGER ::   numnatb
+      INTEGER ::  numnatb_ref = -1   ! Logical unit for reference c14b namelist
+      INTEGER ::  numnatb_cfg = -1   ! Logical unit for configuration c14b namelist
+      INTEGER ::  numonb      = -1   ! Logical unit for output namelist
+      INTEGER :: ios                 ! Local integer output status for namelist read
 
       ! definition of additional diagnostic as a structure
@@ -52,13 +55,16 @@
       NAMELIST/namc14dia/  c14dia2d, c14dia3d     ! additional diagnostics
       !!-------------------------------------------------------------------
+      !                             ! Open namelist file
+      CALL ctl_opn( numnatb_ref, 'namelist_c14b_ref'  ,     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
+      CALL ctl_opn( numnatb_cfg, 'namelist_c14b_cfg'  ,     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )   
+      CALL ctl_opn( numonb     , 'output.namelist.c14', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )     
+      REWIND( numnatb_ref )              ! Namelist namc14date in reference namelist : c14b parameters
+      READ  ( numnatb_ref, namc14date, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namc14date in reference namelist', lwp )
 
-      ndate_beg_b = 650101            ! default namelist value
-      nyear_res_b = 1955
-
-      !                             ! Open namelist file
-      CALL ctl_opn( numnatb, 'namelist_c14b', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
-         
-      READ( numnatb , namc14date )     ! read namelist
-
+      REWIND( numnatb_cfg )              ! Namelist namc14date in configuration namelist : c14b parameters
+      READ  ( numnatb_cfg, namc14date, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namc14date in configuration namelist', lwp )
+      WRITE ( numonb, namc14date )
       IF(lwp) THEN                  ! control print
          WRITE(numout,*)
@@ -75,18 +81,12 @@
          ! Namelist namc14dia
          ! -------------------
-         DO jl = 1, jp_c14b_2d
-            WRITE(c14dia2d(jl)%sname,'("2D_",I1)') jl                      ! short name
-            WRITE(c14dia2d(jl)%lname,'("2D DIAGNOSTIC NUMBER ",I2)') jl    ! long name
-            c14dia2d(jl)%units = ' '                                       ! units
-         END DO
-         !                                 ! 3D output arrays
-         DO jl = 1, jp_c14b_3d
-            WRITE(c14dia3d(jl)%sname,'("3D_",I1)') jl                      ! short name
-            WRITE(c14dia3d(jl)%lname,'("3D DIAGNOSTIC NUMBER ",I2)') jl    ! long name
-            c14dia3d(jl)%units = ' '                                       ! units
-         END DO
+         REWIND( numnatb_ref )              ! Namelist namc14dia in reference namelist : c14b diagnostics
+         READ  ( numnatb_ref, namc14dia, IOSTAT = ios, ERR = 903)
+903      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namc14dia in reference namelist', lwp )
 
-         REWIND( numnatb )               ! 
-         READ  ( numnatb, namc14dia )
+         REWIND( numnatb_cfg )              ! Namelist namc14dia in configuration namelist : c14b diagnostics
+         READ  ( numnatb_cfg, namc14dia, IOSTAT = ios, ERR = 904 )
+904      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namc14dia in configuration namelist', lwp )
+         WRITE ( numonb, namc14dia )
 
          DO jl = 1, jp_c14b_2d
@@ -124,4 +124,6 @@
       ENDIF
 
+   CALL FLUSH ( numonb )     ! flush output namelist C14b
+
    END SUBROUTINE trc_nam_c14b
    
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90	(revision 4147)
@@ -42,5 +42,8 @@
       !! ** input   :   Namelist namcfc
       !!----------------------------------------------------------------------
-      INTEGER ::  numnatc
+      INTEGER ::  numnatc_ref = -1   ! Logical unit for reference CFC namelist
+      INTEGER ::  numnatc_cfg = -1   ! Logical unit for configuration CFC namelist
+      INTEGER ::  numonc      = -1   ! Logical unit for output namelist
+      INTEGER :: ios                 ! Local integer output status for namelist read
       INTEGER :: jl, jn
       TYPE(DIAG), DIMENSION(jp_cfc_2d) :: cfcdia2d
@@ -48,13 +51,18 @@
       NAMELIST/namcfcdate/ ndate_beg, nyear_res
       NAMELIST/namcfcdia/  cfcdia2d     ! additional diagnostics
-      !!-------------------------------------------------------------------
+      !!----------------------------------------------------------------------
+      !                             ! Open namelist files
+      CALL ctl_opn( numnatc_ref, 'namelist_cfc_ref'   ,     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
+      CALL ctl_opn( numnatc_cfg, 'namelist_cfc_cfg'   ,     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
+      CALL ctl_opn( numonc     , 'output.namelist.cfc', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
 
-      ndate_beg = 300101            ! default namelist value
-      nyear_res = 1950
+      REWIND( numnatc_ref )              ! Namelist namcfcdate in reference namelist : CFC parameters
+      READ  ( numnatc_ref, namcfcdate, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namcfcdate in reference namelist', lwp )
 
-      !                             ! Open namelist file
-      CALL ctl_opn( numnatc, 'namelist_cfc', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
-         
-      READ( numnatc , namcfcdate )     ! read namelist
+      REWIND( numnatc_cfg )              ! Namelist namcfcdate in configuration namelist : CFC parameters
+      READ  ( numnatc_cfg, namcfcdate, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namcfcdate in configuration namelist', lwp )
+      WRITE ( numonc, namcfcdate )
 
       IF(lwp) THEN                  ! control print
@@ -73,12 +81,12 @@
          ! Namelist namcfcdia
          ! -------------------
-         DO jl = 1, jp_cfc_2d
-            WRITE(cfcdia2d(jl)%sname,'("2D_",I1)') jl                      ! short name
-            WRITE(cfcdia2d(jl)%lname,'("2D DIAGNOSTIC NUMBER ",I2)') jl    ! long name
-            cfcdia2d(jl)%units = ' '                                       ! units
-         END DO
+         REWIND( numnatc_ref )              ! Namelist namcfcdia in reference namelist : CFC diagnostics
+         READ  ( numnatc_ref, namcfcdia, IOSTAT = ios, ERR = 903)
+903      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namcfcdia in reference namelist', lwp )
 
-         REWIND( numnatc )               ! read natrtd
-         READ  ( numnatc, namcfcdia )
+         REWIND( numnatc_cfg )              ! Namelist namcfcdia in configuration namelist : CFC diagnostics
+         READ  ( numnatc_cfg, namcfcdia, IOSTAT = ios, ERR = 904 )
+904      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namcfcdia in configuration namelist', lwp )
+         WRITE ( numonc, namcfcdia )
 
          DO jl = 1, jp_cfc_2d
@@ -102,4 +110,6 @@
       ENDIF
 
+   CALL FLUSH ( numonc )     ! flush output namelist CFC
+
    END SUBROUTINE trc_nam_cfc
    
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zbio.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zbio.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zbio.F90	(revision 4147)
@@ -31,31 +31,31 @@
    PUBLIC   p2z_bio_init    ! called in ???
 
-   REAL(wp) ::   tmumax     = 1.21e-5    ! maximal phytoplankton growth rate            [s-1]
-   REAL(wp) ::   rgamma     =  0.05      ! phytoplankton exudation fraction             [%]
-   REAL(wp) ::   fphylab    =  0.75      ! NH4 fraction of phytoplankton exsudation
-   REAL(wp) ::   tmminp     =  5.8e-7    ! minimal phytoplancton mortality rate         [0.05/86400 s-1=20 days]
-   REAL(wp) ::   aki        =  33.       ! light photosynthesis half saturation constant[W/m2]
+   REAL(wp) ::   tmumax     ! maximal phytoplankton growth rate            [s-1]
+   REAL(wp) ::   rgamma     ! phytoplankton exudation fraction             [%]
+   REAL(wp) ::   fphylab    ! NH4 fraction of phytoplankton exsudation
+   REAL(wp) ::   tmminp     ! minimal phytoplancton mortality rate         [0.05/86400 s-1=20 days]
+   REAL(wp) ::   aki        ! light photosynthesis half saturation constant[W/m2]
    !
-   REAL(wp) ::   akno3      =  0.7       ! nitrate limitation half-saturation value     [mmol/m3]
-   REAL(wp) ::   aknh4      =  0.001     ! ammonium limitation half-saturation value    [mmol/m3]
-   REAL(wp) ::   taunn      =  5.80e-7   ! nitrification rate                           [s-1]
-   REAL(wp) ::   psinut     =  3.        ! inhibition of nitrate uptake by ammonium
+   REAL(wp) ::   akno3      ! nitrate limitation half-saturation value     [mmol/m3]
+   REAL(wp) ::   aknh4      ! ammonium limitation half-saturation value    [mmol/m3]
+   REAL(wp) ::   taunn      ! nitrification rate                           [s-1]
+   REAL(wp) ::   psinut     ! inhibition of nitrate uptake by ammonium
    !
-   REAL(wp) ::   taudn      = 5.80e-7    ! detritus breakdown rate                        [0.1/86400 s-1=10 days]
-   REAL(wp) ::   fdetlab    = 0.         ! NH4 fraction of detritus dissolution
+   REAL(wp) ::   taudn      ! detritus breakdown rate                        [0.1/86400 s-1=10 days]
+   REAL(wp) ::   fdetlab    ! NH4 fraction of detritus dissolution
    !
-   REAL(wp) ::   taudomn    = 6.43e-8    ! DOM breakdown rate                             [s-1]
-   !                                     ! slow remineralization rate of semi-labile dom to nh4 (1 month)
+   REAL(wp) ::   taudomn    ! DOM breakdown rate                             [s-1]
+   !                        ! slow remineralization rate of semi-labile dom to nh4 (1 month)
    !
-   REAL(wp) ::   rppz       = 0.         ! ivlev coeff for zoo mortality
-   REAL(wp) ::   taus       = 9.26E-6    ! specific zooplankton maximal grazing rate              [s-1]
+   REAL(wp) ::   rppz       ! ivlev coeff for zoo mortality
+   REAL(wp) ::   taus       ! specific zooplankton maximal grazing rate              [s-1]
    !                                     ! 0.75/86400 s-1=8.680555E-6    1/86400 = 1.15e-5
-   REAL(wp) ::   aks        = 1.         ! half-saturation constant for total zooplankton grazing [mmolN.m-3]
-   REAL(wp) ::   rpnaz      = 0.3        ! non-assimilated phytoplankton by zooplancton           [%]
-   REAL(wp) ::   rdnaz      = 0.3        ! non-assimilated detritus by zooplankton                [%]
-   REAL(wp) ::   tauzn      = 8.1e-7     ! zooplancton specific excretion rate                    [0.1/86400 s-1=10 days]
-   REAL(wp) ::   tmminz     = 2.31e-6    ! minimal zooplankton mortality rate                     [(mmolN/m3)-1 d-1]
-   REAL(wp) ::   fzoolab    = 0.5        ! NH4 fraction of zooplankton excretion
-   REAL(wp) ::   fdbod      = 0.5        ! zooplankton mortality fraction that goes to detritus
+   REAL(wp) ::   aks        ! half-saturation constant for total zooplankton grazing [mmolN.m-3]
+   REAL(wp) ::   rpnaz      ! non-assimilated phytoplankton by zooplancton           [%]
+   REAL(wp) ::   rdnaz      ! non-assimilated detritus by zooplankton                [%]
+   REAL(wp) ::   tauzn      ! zooplancton specific excretion rate                    [0.1/86400 s-1=10 days]
+   REAL(wp) ::   tmminz     ! minimal zooplankton mortality rate                     [(mmolN/m3)-1 d-1]
+   REAL(wp) ::   fzoolab    ! NH4 fraction of zooplankton excretion
+   REAL(wp) ::   fdbod      ! zooplankton mortality fraction that goes to detritus
 
    !!* Substitution
@@ -480,5 +480,5 @@
       !!                  ***  ROUTINE p2z_bio_init  ***
       !!
-      !! ** Purpose :  bilogical parameters 
+      !! ** Purpose :  biological parameters 
       !!
       !! ** Method  :   Read namelist and check the parameters
@@ -490,8 +490,15 @@
       NAMELIST/namlobdet/  taudn, fdetlab
       NAMELIST/namlobdom/ taudomn
+      INTEGER :: ios                 ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
 
-      REWIND( numnatp )
-      READ  ( numnatp, namlobphy )
+      REWIND( numnatp_ref )              ! Namelist namlobphy in reference namelist : Lobster biological parameters
+      READ  ( numnatp_ref, namlobphy, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobphy in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist namlobphy in configuration namelist : Lobster biological parameters
+      READ  ( numnatp_cfg, namlobphy, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobphy in configuration namelist', lwp )
+      WRITE ( numonp, namlobphy )
 
       IF(lwp) THEN
@@ -505,6 +512,13 @@
       ENDIF
 
-      REWIND( numnatp )
-      READ  ( numnatp, namlobnut )
+      REWIND( numnatp_ref )              ! Namelist namlobnut in reference namelist : Lobster nutriments parameters
+      READ  ( numnatp_ref, namlobnut, IOSTAT = ios, ERR = 903)
+903   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobnut in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist namlobnut in configuration namelist : Lobster nutriments parameters
+      READ  ( numnatp_cfg, namlobnut, IOSTAT = ios, ERR = 904 )
+904   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobnut in configuration namelist', lwp )
+      WRITE ( numonp, namlobnut )
+
       IF(lwp) THEN
           WRITE(numout,*) ' Namelist namlobnut'
@@ -516,6 +530,12 @@
       ENDIF
 
-      REWIND( numnatp )
-      READ  ( numnatp, namlobzoo )
+      REWIND( numnatp_ref )              ! Namelist namlobzoo in reference namelist : Lobster zooplankton parameters
+      READ  ( numnatp_ref, namlobzoo, IOSTAT = ios, ERR = 905)
+905   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobzoo in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist namlobzoo in configuration namelist : Lobster zooplankton parameters
+      READ  ( numnatp_cfg, namlobzoo, IOSTAT = ios, ERR = 906 )
+906   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobzoo in configuration namelist', lwp )
+      WRITE ( numonp, namlobzoo )
 
       IF(lwp) THEN
@@ -533,6 +553,12 @@
       ENDIF
 
-      REWIND( numnatp )
-      READ  ( numnatp, namlobdet )
+      REWIND( numnatp_ref )              ! Namelist namlobdet in reference namelist : Lobster detritus parameters
+      READ  ( numnatp_ref, namlobdet, IOSTAT = ios, ERR = 907)
+907   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobdet in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist namlobdet in configuration namelist : Lobster detritus parameters
+      READ  ( numnatp_cfg, namlobdet, IOSTAT = ios, ERR = 908 )
+908   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobdet in configuration namelist', lwp )
+      WRITE ( numonp, namlobdet )
 
       IF(lwp) THEN
@@ -543,6 +569,12 @@
       ENDIF
 
-      REWIND( numnatp )
-      READ  ( numnatp, namlobdom )
+      REWIND( numnatp_ref )              ! Namelist namlobdom in reference namelist : Lobster DOM breakdown rate
+      READ  ( numnatp_ref, namlobdom, IOSTAT = ios, ERR = 909)
+909   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobdom in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist namlobdom in configuration namelist : Lobster DOM breakdown rate
+      READ  ( numnatp_cfg, namlobdom, IOSTAT = ios, ERR = 910 )
+910   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlobdom in configuration namelist', lwp )
+      WRITE ( numonp, namlobdom )
 
       IF(lwp) THEN
